# Generated from complexity_assert-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name complexity_assert

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: An experimental rspec library to check the time complexity (Big O(x) notation) of an algorithm
License: MIT
URL: https://github.com/philou/complexity-assert
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
They are some performance critical pieces of code that will be executed on
huge data sets, which we want to make sure will run fast enough.
Unfortunately, enforcing this is not easy, often requiring large scale and
slow benchmarks. This rspec library (the result of an experiment to learn
machine learning) uses linear regression to determine the time complexity (Big
O notation, O(x)) of a piece of code and to check that it is at least as good
as what we expect. This does not require huge data sets (only a few large
ones) and can be written as any unit test (not as fast though).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/DayBook.org
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/visu.ods
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/complexity_assert.gemspec
%doc %{gem_instdir}/docker-compose.yml

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
